#ifndef  USER_GPIO_KEY_PRESENT
#define  USER_GPIO_KEY_PRESENT

#include "type.h"

// 定义按键
#define KEY_INVALID		0
#define KEY_FUNC		1
#define KEY_UP			2
#define KEY_DOWN		3
#define KEY_SET			4

// 初始化引脚
void Key_Init();
void Key_Open();
// 处理按键
void Key_Handler(void);

extern loopbuff_t Key_TaskM;
// 485串口接收的信号量
extern SemaphoreHandle_t Key_Semaphore;    // 二值信号量句柄

extern volatile uint8_t Key_Wakeup;		   // 是否按键唤醒

#endif
